/*
 * CHECK-UTILS : chkdownload
 * chkdownload is check download bandwidth with http protocol
 *
 * $Id: chkdownload.h,v 1.8 2006/04/24 01:11:27 oops Exp $
 */

#define SAVEBUF 1024 * 1024 * 1024

int nonblock_func (int socket, int nonblock);
void usage (char *prog);

#ifdef HAVE_GETOPT_LONG
static struct option long_options [] = {
	/* Options without arguments: */
	{ "verbose", no_argument, NULL, 'v' },
	{ "help", no_argument, NULL, 'h' },
	{ "no-ansi", no_argument, NULL, 'n' },

	/* Options accepting an argument: */
	{ "agent-name", required_argument, NULL, 'A' },
	{ "address", required_argument, NULL, 'a' },
	{ "port", required_argument, NULL, 'p' },
	{ "host-header", required_argument, NULL, 'H' },
	{ "uri", required_argument, NULL, 'u' },
	{ "save-file", required_argument, NULL, 'S' },
	{ "file-size", required_argument, NULL, 'f' },
	{ "conn-timeout", required_argument, NULL, 'c' },
	{ "read-timeout", required_argument, NULL, 'r' },
	{ 0, 0, 0, 0 }
};
#endif

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
