/*
 * CHECK-UTILS curses code
 *
 * $Id: my_curses.h,v 1.2 2006/01/18 14:09:09 oops Exp $
 */
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include <sys/ioctl.h>
#include <fcntl.h>
#ifndef __CYGWIN__
#include <term.h>
#else
#include <ncurses/term.h>
#endif
#ifdef HAVE_NCURSES_H
#include <ncurses.h>
#else
#include <curses.h>
#endif

#include <interface.h>
#include <cursesset.h>

extern int curses_open;
extern int screenh;
extern int screenw;

void cb_init (void);
void cb_exit (int s);
int cb_getch (char *buf);
void cb_get_terminal_size(void);

extern void interface_free (struct interface *);
