/*
 * OS (freebsd) dependency code on chkbandwidth
 * $Id: chkbandwidth_os.c,v 1.2 2006/06/26 06:22:53 oops Exp $
 */

int iface_info (struct interface *p, char *iface) {
	char *text;
	char buf[512] = { 0, };

	//printf ("#### %s\n", iface);

	sprintf (buf, "/sbin/ifconfig -m %s", iface);
	if ( iface != NULL ) {
		if ( ! getcmds (buf) )
			return -1;
	}

	if ( iface != NULL ) {
		p->ifname[0] = malloc (sizeof (char) * (strlen (iface) + 1));
		p->in[0]  = malloc (sizeof (char) * 32);
		p->out[0] = malloc (sizeof (char) * 32);

		strcpy (p->ifname[0], iface);
	}

	sprintf (buf, "/usr/bin/netstat -i -I %s -b | /usr/bin/grep '<Link'", p->ifname[0]);
	text = getcmds (buf);

	strcpy (p->in[0], field_string (text, 7));
	strcpy (p->out[0], field_string (text, 10));

	free (text);

	p->dev = 0;
	p->in[1] = NULL;
	p->out[1] = NULL;

	return 1;
}

/*
 * Local variables:
 * tab-width: 4
 * c-basic-offset: 4
 * End:
 * vim600: noet sw=4 ts=4 fdm=marker
 * vim<600: noet sw=4 ts=4
 */
